DATA-INTEGRATION_COMPOSITE-STATE(1)

NAME
data-integration_composite-state -

DESCRIPTION

The composite state object provides information on the state of a task or schedule.

AVAILABLE COMMANDS

•   get

  get

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

This endpoint can be used to get composite state for a given aggregator

  Usage

oci data-integration composite-state get [OPTIONS]

  Required Parameters

--aggregator-key [text]

    Unique key of the aggregator for which we want to get the Composite State

--application-key [text]

    The application key.

--workspace-id [text]

    The workspace ID.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/data-integration/workspace/create.html#cmdoption-compartment-id
    export display_name=<substitute-value-of-display_name> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/data-integration/workspace/create.html#cmdoption-display-name
    export is_private_network=<substitute-value-of-is_private_network> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/data-integration/workspace/create.html#cmdoption-is-private-network
    export aggregator_key=<substitute-value-of-aggregator_key> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/data-integration/composite-state/get.html#cmdoption-aggregator-key
    export application_key=<substitute-value-of-application_key> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/data-integration/composite-state/get.html#cmdoption-application-key
    workspace_id=$(oci data-integration workspace create --compartment-id $compartment_id --display-name $display_name --is-private-network $is_private_network --query data.id --raw-output)
    oci data-integration composite-state get --aggregator-key $aggregator_key --application-key $application_key --workspace-id $workspace_id

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle